/****************************************************************************
** Form interface generated from reading ui file 'VideoSettings.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef VIDEOSETTINGS_H
#define VIDEOSETTINGS_H

#include <qvariant.h>
#include <qpixmap.h>
#include <qdialog.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QTabWidget;
class QWidget;
class QButtonGroup;
class QRadioButton;
class QSlider;
class QLabel;
class QLCDNumber;
class QListBox;
class QListBoxItem;
class QPushButton;
class QGroupBox;
class QComboBox;
class QDial;
class QCheckBox;

class CVideoSettings : public QDialog
{
    Q_OBJECT

public:
    CVideoSettings( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~CVideoSettings();

    QTabWidget* Tabs;
    QWidget* Size;
    QButtonGroup* ImageFrames;
    QRadioButton* fr04;
    QRadioButton* fr05;
    QRadioButton* fr08;
    QRadioButton* fr10;
    QRadioButton* fr25;
    QRadioButton* fr20;
    QRadioButton* fr15;
    QRadioButton* fr30;
    QButtonGroup* ImageSize;
    QRadioButton* RadioButton1;
    QRadioButton* RadioButton2;
    QRadioButton* RadioButton3;
    QRadioButton* RadioButton4;
    QRadioButton* RadioButton5;
    QRadioButton* RadioButton6;
    QRadioButton* MaxSize;
    QWidget* Control;
    QSlider* Gamma;
    QSlider* Contrast;
    QLabel* TextLabel2;
    QLabel* TextLabel3;
    QLabel* TextLabel1;
    QSlider* Colour;
    QLabel* TextLabel4;
    QSlider* Brightness;
    QWidget* Tune;
    QLabel* TextLabel1_2;
    QButtonGroup* TunerSelection;
    QRadioButton* tuner_1;
    QRadioButton* tuner_2;
    QRadioButton* tuner_3;
    QLabel* TextLabel2_2;
    QLCDNumber* FrequencyShow;
    QSlider* FineTuning;
    QButtonGroup* TuningSystem;
    QRadioButton* RadioButton258;
    QRadioButton* RadioButton121;
    QRadioButton* RadioButton259;
    QButtonGroup* InputSelection;
    QRadioButton* RadioButton82;
    QRadioButton* RadioButton83;
    QRadioButton* RadioButton84;
    QRadioButton* RadioButton109;
    QRadioButton* RadioButton110;
    QRadioButton* RadioButton111;
    QListBox* ChannelSelector;
    QWidget* PhilipsTab;
    QPushButton* PushButton7_3;
    QPushButton* PushButton7_2;
    QPushButton* PushButton7;
    QGroupBox* GroupBox1;
    QComboBox* m_WhiteBalance;
    QDial* m_RedDial;
    QDial* m_BlueDial;
    QLabel* TextLabel1_3;
    QLabel* TextLabel2_3;
    QSlider* m_WBSpeed;
    QSlider* m_WBDelay;
    QGroupBox* GroupBox2;
    QLabel* TextLabel5;
    QLabel* TextLabel6;
    QLabel* TextLabel2_4;
    QCheckBox* ShutterBox;
    QSlider* ContourValue;
    QSlider* ShutterValue;
    QSlider* AGCValue;
    QCheckBox* AGCBox;
    QCheckBox* BacklightBox;
    QCheckBox* FlickerBox;
    QCheckBox* ContourBox;
    QComboBox* m_CompressionSelection;
    QComboBox* m_NoiseReduction;
    QLabel* TextLabel1_4;
    QLabel* TextLabel1_5;
    QPushButton* HelpButton;
    QPushButton* CloseButton;

public slots:
    virtual void MovedContour(int);

protected:
    QVBoxLayout* VideoSettingsLayout;
    QGridLayout* Layout14;
    QVBoxLayout* InputSelectionLayout;
    QHBoxLayout* Layout15;
    QVBoxLayout* GroupBox1Layout;
    QHBoxLayout* Layout11;
    QGridLayout* Layout16;
    QVBoxLayout* Layout11_2;
    QSpacerItem* Spacer2;
    QGridLayout* GroupBox2Layout;
    QHBoxLayout* Layout7;
    QGridLayout* Layout9;
    QHBoxLayout* Layout1;
    QSpacerItem* Horizontal_Spacing2;

protected slots:
    virtual void languageChange();

    virtual void ChangedCompression(int);
    virtual void ChangedWB(int);
    virtual void ClickedFrequencySystem(int);
    virtual void ClickedInputSelector(int);
    virtual void ClickedRate(int);
    virtual void ClickedRestoreFactory();
    virtual void ClickedRestoreUser();
    virtual void ClickedSaveUser();
    virtual void ClickedSize(int);
    virtual void ClickedTunerSelector(int);
    virtual void MovedAGC(int);
    virtual void MovedBlue(int);
    virtual void MovedBrightness(int);
    virtual void MovedColour(int);
    virtual void MovedContrast(int);
    virtual void MovedFineTuning(int);
    virtual void MovedGamma(int);
    virtual void MovedRed(int);
    virtual void MovedShutter(int);
    virtual void MovedWBDelay(int);
    virtual void MovedWBSpeed(int);
    virtual void ToggledAGC(bool);
    virtual void ToggledBacklight(bool);
    virtual void ToggledContour(bool);
    virtual void ToggledFlicker(bool);
    virtual void ToggledShutter(bool);
    virtual void ChangedNoise(int);


private:
    QPixmap image0;

};

#endif // VIDEOSETTINGS_H
